Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002115TestLinkReportspublic2009-02-15 21:442018-09-12 06:27
Reporterkcurran 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityN/A
StatusassignedResolutionopen 
PlatformOSOS Version
Product Version1.8 RC 4 
Fixed in Version 
Summary0002115: Time Chart code for 1.8.4
DescriptionHere is the code I have modified to enable time charts
TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Files? file icon timeCharts.php [^] (1,394 bytes) 2009-02-15 21:44
? file icon timeChartsDraw.php [^] (1,555 bytes) 2009-02-15 21:45
? file icon executionsPerIntervalGraph.php [^] (6,226 bytes) 2009-02-15 21:45
? file icon timeCharts.tpl [^] (2,801 bytes) 2009-02-15 21:46
? file icon timeChartsDraw.tpl [^] (852 bytes) 2009-02-15 21:46
txt file icon strings.txt [^] (95,292 bytes) 2009-02-15 21:46 [Show Content]
? file icon reports.cfg.php [^] (3,788 bytes) 2009-02-15 21:47
png file icon TimeChart.png [^] (294,718 bytes) 2009-02-17 00:13
png file icon Picture1.png [^] (84,160 bytes) 2009-05-13 20:26


zip file icon timechart.ZIP [^] (34,480 bytes) 2009-05-13 20:26
zip file icon timechart20090906.zip [^] (91,118 bytes) 2009-09-06 09:24
jpg file icon time chart.JPG [^] (20,103 bytes) 2009-10-31 00:49


zip file icon TimeCharts - Issue files.zip [^] (35,742 bytes) 2009-11-03 17:51
jpg file icon timeimage.JPG [^] (38,110 bytes) 2009-11-03 22:47


jpg file icon timemetrics.JPG [^] (21,975 bytes) 2009-11-03 22:47


png file icon charts_not_displayed.png [^] (34,188 bytes) 2014-12-03 08:26

- Relationships
related to 0002503assignedamitkhullar Enhancement - Chart Build Test Execution 

-  Notes
(0005476)
fman (administrator)
2009-02-15 23:11

Please explain what are time charts, in order to be useful for other users
(0005477)
fman (administrator)
2009-02-15 23:12

next time to make download simpler, please attach just one zip file with all your code
(0005479)
aksinghv (reporter)
2009-02-16 00:34

A screen shot would also be useful for other users.
(0005516)
kcurran (reporter)
2009-02-17 00:16

The time chart graph screen shot has been added.

The code I submitted is a refactor of the code that is included with testlink ( the original code did not work when configured)
(0005567)
aksinghv (reporter)
2009-02-21 02:51

This will another useful report.
Can this be added in the RC5 so that wider audience can get benefited by this.
(0005570)
fman (administrator)
2009-02-21 17:54

There is a lot of work to be done in order to refactor and test => as was stated Target release will be 1.9
(0006857)
kcurran (reporter)
2009-05-13 20:28

I've modified the selection dialog to include the ability to select which builds to chart. Plus fixed a problem when running on linux
(0007885)
aksinghv (reporter)
2009-08-31 23:06

Any Plan to add in TL1.9?
(0007927)
guest (reporter)
2009-09-06 09:24

Multi-byte character display is possible in charts.(patch for 1.8.3)

http://www.testlink.org/mantis/view.php?id=2647 [^]
(0008183)
abrown8 (reporter)
2009-10-31 00:49

I added your code, but for some reason it shows flat lines for EXECUTED and TOTAL, and no lines for the statuses. Any ideas? Screenshot attached. The BUILD CHART was good too, but I didn't see anything with Bug counts, even though a legend exists

Also, I don't think it likes multiple builds, seems to bomb out if you select more than 1 build -which is fine, just needs to be single select I would say.

Good work though.
(0008184)
kcurran (reporter)
2009-10-31 00:55

Which testlink version are you running?
(0008185)
abrown8 (reporter)
2009-10-31 02:59

1.8.4 (latest cut)
(0008186)
kcurran (reporter)
2009-11-01 22:07

I tried the time chart with single and multiple builds which works for me. Looking at your chart, the total flat line is expected( probably overlaying the not run line as they are equal since the status lines are zero with the executed on top there).

Since you are having problems selecting the builds, I expect that may be the source of the problem.
(0008188)
abrown8 (reporter)
2009-11-02 17:18

Not sure I understand why I'm seeing a flat line against a test plan that has test results. The builds should be fine, as they were reported against using the Build Chart - bit of a mystery.

Thanks for your support. I've checked the code merge several times. Best if I wait until the next release for this, shame because it looked really useful.

Cheers
(0008189)
abrown8 (reporter)
2009-11-02 17:37

The one thing I noticed that was causing trouble was the chart.inc.php: here's my merge.. Using the file released above didn't work, it broke the Charts diagram. And didn't enable the Time Charts properly (let me know if this is the issue?)

<?php
/**
 * TestLink Open Source Project - http://testlink.sourceforge.net/ [^]
 * $Id: charts.inc.php,v 1.1.2.1 2009/06/04 02:34:33 tosikawa Exp $
 *
 * @author Francisco Mancardi - francisco.mancardi@gmail.com
 *
 * rev: 20081113 - franciscom - BUGID 1848
 *
 */
require_once('../../config.inc.php');
require_once('results.class.php');
define('PCHART_PATH','../../third_party/pchart');
include_once(PCHART_PATH . "/pChart/pData.class");
include_once(PCHART_PATH . "/pChart/pChart.class");

/*
  function: createChart

  args :
  
  returns:

*/
function createChart(&$info,&$cfg)
{
    $backgndColor=array('R' => 255, 'G' => 255, 'B' => 255);
    $chartCfg=new stdClass();
    $chartCfg->XSize=$info->canDraw ? $cfg->XSize : 600;
    $chartCfg->YSize=$info->canDraw ? $cfg->YSize : 50;
    
    $chartCfg->border = new stdClass();
    $chartCfg->border->width = 2;
    $chartCfg->border->color = array('R' => 0, 'G' => 0, 'B' => 0);

    $chartCfg->graphArea = new stdClass();
    $chartCfg->graphArea->color=array('R' => 213, 'G' => 217, 'B' => 221);
    $chartCfg->graphArea->beginX = 40;
    $chartCfg->graphArea->beginY = 40;
    $chartCfg->graphArea->endX = $chartCfg->XSize - $chartCfg->graphArea->beginX;
    $chartCfg->graphArea->endY = $chartCfg->YSize - $chartCfg->graphArea->beginY;

    $chartCfg->scale=new stdClass();
    $chartCfg->scale->mode=SCALE_ADDALL;
    $chartCfg->scale->color = array('R' => 0, 'G' => 0, 'B' => 0);
    $chartCfg->scale->drawTicks = TRUE;
    $chartCfg->scale->angle=$cfg->scale->legendXAngle;
    $chartCfg->scale->decimals=1;
    $chartCfg->scale->withMargin=TRUE;
        
    $chartCfg->legend=new stdClass();
    $chartCfg->legend->X=$chartCfg->XSize-80;
    $chartCfg->legend->Y=15;
    $chartCfg->legend->color=array('R' => 236, 'G' => 238, 'B' => 240);

    $chartCfg->title=new stdClass();
    $chartCfg->title->value=$cfg->chartTitle;
    
    $chartCfg->title->X=2*$chartCfg->graphArea->beginX;
    $chartCfg->title->Y=$chartCfg->legend->Y;
    $chartCfg->title->color=array('R' => 0, 'G' => 0, 'B' => 255);
    
    $Test = new pChart($chartCfg->XSize,$chartCfg->YSize);
    $Test->drawBackground($backgndColor['R'],$backgndColor['G'],$backgndColor['B']);
    $Test->drawGraphArea($chartCfg->graphArea->color['R'],
                         $chartCfg->graphArea->color['G'],$chartCfg->graphArea->color['B']);
    $Test->setGraphArea($chartCfg->graphArea->beginX,$chartCfg->graphArea->beginY,
                        $chartCfg->graphArea->endX,$chartCfg->graphArea->endY);
    
    $Test->setFontProperties(config_get('charts_font_path'),config_get('charts_font_size'));
       
    if($info->canDraw)
    {
        $DataSet = new pData;
        foreach($info->chart_data as $key => $values)
        {
            $id=$key+1;
            $DataSet->AddPoint($values,"Serie{$id}");
            $DataSet->SetSerieName($info->series_label[$key],"Serie{$id}");
            
        }
        $DataSet->AddPoint($info->xAxis->values,$info->xAxis->serieName);
        $DataSet->AddAllSeries();
        $DataSet->RemoveSerie($info->xAxis->serieName);
        $DataSet->SetAbsciseLabelSerie($info->xAxis->serieName);
        $chartData=$DataSet->GetData();
        $chartLegend=$DataSet->GetDataDescription();
        
           
        foreach( $info->series_color as $key => $hexrgb)
        {
            $rgb=str_split($hexrgb,2);
            $Test->setColorPalette($key,hexdec($rgb[0]),hexdec($rgb[1]),hexdec($rgb[2]));
        }
        // $Test->setFixedScale($info->scale->minY,$info->scale->maxY,$info->scale->divisions);
        $Test->drawScale($chartData,$chartLegend,$chartCfg->scale->mode,
                         $chartCfg->scale->color['R'],$chartCfg->scale->color['G'],$chartCfg->scale->color['B'],
                         $chartCfg->scale->drawTicks,$chartCfg->scale->angle,$chartCfg->scale->decimals,
                         $chartCfg->scale->withMargin);
  
        $Test->drawStackedBarGraph($chartData,$chartLegend,70);
        
        // Draw the legend
        $Test->setFontProperties(config_get('charts_font_path'),config_get('charts_font_size'));
        $Test->drawLegend($chartCfg->legend->X,$chartCfg->legend->Y,$chartLegend,
                          $chartCfg->legend->color['R'],$chartCfg->legend->color['G'],
                          $chartCfg->legend->color['B']);
 
        $Test->addBorder($chartCfg->border->width,
                         $chartCfg->border->color['R'],$chartCfg->border->color['G'],
                         $chartCfg->border->color['B']);
    }
    else
    {
        $chartCfg->title->value .= '/' . lang_get('no_data_available');
    }

    $Test->drawTitle($chartCfg->title->X,$chartCfg->title->Y,$chartCfg->title->value,
                     $chartCfg->title->color['R'],$chartCfg->title->color['G'],$chartCfg->title->color['B']);
    $Test->Stroke();
}
//Modified by Amit
function createLineChart(&$info,&$cfg)
{
    $backgndColor=array('R' => 236, 'G' => 236, 'B' => 236);
    $chartCfg=new stdClass();
    $chartCfg->XSize=$info->canDraw ? $cfg->XSize : 600;
    $chartCfg->YSize=$info->canDraw ? $cfg->YSize : 50;
    $chartCfg->border = new stdClass();
    $chartCfg->border->width = 2;
    $chartCfg->border->color = array('R' => 0, 'G' => 0, 'B' => 0);
    $chartCfg->graphArea = new stdClass();
    $chartCfg->graphArea->color=array('R' => 213, 'G' => 217, 'B' => 221);
    $chartCfg->graphArea->beginX = 50;
// $chartCfg->graphArea->beginY = 50;
    $chartCfg->graphArea->beginY = 100;
    $chartCfg->graphArea->endX = $chartCfg->XSize - $chartCfg->graphArea->beginX;
    $chartCfg->graphArea->endY = $chartCfg->YSize - $chartCfg->graphArea->beginY;
    $chartCfg->scale=new stdClass();
    $chartCfg->scale->mode=SCALE_START0;
    $chartCfg->scale->color = array('R' => 0, 'G' => 0, 'B' => 0);
    $chartCfg->scale->grid = array('R' => 220, 'G' => 220, 'B' => 220);
    $chartCfg->scale->drawTicks = TRUE;
    $chartCfg->scale->angle=$cfg->scale->legendXAngle;
    $chartCfg->scale->decimals=1;
    $chartCfg->scale->withMargin=TRUE;
    $chartCfg->legend=new stdClass();
    $chartCfg->legend->X=$chartCfg->XSize-100;
    $chartCfg->legend->Y=25;
    $chartCfg->legend->color=array('R' => 206, 'G' => 206, 'B' => 206);
    $chartCfg->title=new stdClass();
    $chartCfg->title->value=$cfg->chartTitle;
    $chartCfg->title->X=2*$chartCfg->graphArea->beginX;
    $chartCfg->title->Y=$chartCfg->legend->Y;
    $chartCfg->title->color=array('R' => 0, 'G' => 0, 'B' => 255);

    $Test = new pChart($chartCfg->XSize,$chartCfg->YSize);
    $Test->drawBackground($backgndColor['R'],$backgndColor['G'],$backgndColor['B']);
    $Test->drawGraphArea($chartCfg->graphArea->color['R'],
    $chartCfg->graphArea->color['G'],$chartCfg->graphArea->color['B']);
    $Test->setGraphArea($chartCfg->graphArea->beginX,$chartCfg->graphArea->beginY,
    $chartCfg->graphArea->endX,$chartCfg->graphArea->endY);
    $Test->setFontProperties(config_get('charts_font_path'),config_get('charts_font_size'));

    if($info->canDraw)
    {
        $DataSet = new pData;

        foreach($info->chart_data as $key => $values)
        {
            $id=$key+1;

            $DataSet->AddPoint($values,"Serie{$id}");
            $DataSet->SetSerieName($info->series_label[$key],"Serie{$id}");
        }
        $DataSet->AddPoint($info->xAxis->values,$info->xAxis->serieName);
        $DataSet->AddAllSeries();
        $DataSet->RemoveSerie($info->xAxis->serieName);
        $DataSet->SetAbsciseLabelSerie($info->xAxis->serieName);
        $chartData=$DataSet->GetData();
        $chartLegend=$DataSet->GetDataDescription();
        foreach( $info->series_color as $key => $hexrgb)
        {
            $rgb=str_split($hexrgb,2);
            $Test->setColorPalette($key,hexdec($rgb[0]),hexdec($rgb[1]),hexdec($rgb[2]));
        }
        //$Test->setFixedScale($info->scale->minY,$info->scale->maxY,$info->scale->divisions);
        //$Test->drawXYScale($chartData,$chartLegend,"Serie8","Serie1",0,0,0,45);
        $Test->drawScale($chartData,$chartLegend,$chartCfg->scale->mode,$chartCfg->scale->color['R'],
               $chartCfg->scale->color['G'],$chartCfg->scale->color['B'],$chartCfg->scale->drawTicks,
               $chartCfg->scale->angle,$chartCfg->scale->decimals,$chartCfg->scale->withMargin);

        $Test->drawGrid(5,TRUE,$chartCfg->scale->grid['R'],$chartCfg->scale->grid['G'],$chartCfg->scale->grid['B'],50);
        $Test->drawLineGraph($chartData,$chartLegend);
        $Test->drawPlotGraph($chartData,$chartLegend,1);
        foreach($info->chart_data as $key => $values)
        {
            $id=$key+1;
            {
                $Test->writeValues($chartData,$chartLegend,"Serie{$id}");
            }
        }
        // Draw the legend
        $Test->setFontProperties(config_get('charts_font_path'),config_get('charts_font_size'));
        $Test->drawLegend($chartCfg->legend->X,$chartCfg->legend->Y,$chartLegend,
        $chartCfg->legend->color['R'],$chartCfg->legend->color['G'],
        $chartCfg->legend->color['B']);
        $Test->addBorder($chartCfg->border->width,
        $chartCfg->border->color['R'],$chartCfg->border->color['G'],
        $chartCfg->border->color['B']);

    }
    else
    {

        $chartCfg->title->value .= '/' . lang_get('no_data_available');
    }
    $Test->drawTitle($chartCfg->title->X,$chartCfg->title->Y,$chartCfg->title->value,
    $chartCfg->title->color['R'],$chartCfg->title->color['G'],$chartCfg->title->color['B']);
    $Test->Stroke();
    }
?>
(0008190)
kcurran (reporter)
2009-11-02 21:43

This version of charts.inc.php is modified from the 1.8.4 ga release. Timecharts doesn't use the createlinechart call. Do you have some other chart reports added to your system?
(0008191)
abrown8 (reporter)
2009-11-02 21:46

Nope no other custom line graph other than yours, I just merged the latest 1.8.4 GA release into my 1.8.3 release and merged your code in as best as I could.

What files do you think are wrong? I'm happy to provide, or please do tell me what I need to make it work.

Thanks again
(0008192)
kcurran (reporter)
2009-11-02 22:03

What I tested with was 1.8.4 GA with timechart20090906.zip. To merge into tge ga release, i performed the following

added gui/templates/resultrs/timeCharts.tpl
added gui/templates/resultrs/timeChartsDraw.tpl
added lib/results/timeCharts.php
added lib/results/timeChartsDraw.php
replaced lib/results/executionsPerIntervalGraph.php
merged cfg/reports.cfg.php
merged locale/en_GB/strings.txt
merged locale/en_US/strings.txt
merged locale/ja_JP/strings.txt

Of course for the Build charts, you would need to do similair action.

As you can see I didn't change the charts.inc.php.
(0008193)
abrown8 (reporter)
2009-11-02 23:13

Ok, I shall try that and let you know - thanks for the help and the good work on this!
(0008199)
abrown8 (reporter)
2009-11-03 17:50
edited on: 2009-11-03 17:56

I noticed the code in charts.inc.php is actually in the BuildChart code, which I also merged. Do you know anything about it? You are right it is not in the GA release which I checked today. So its it need in Build Charts code? Could you possibly provide a merge of both TimeChart and BuildChart? I reverted the code, but then Build Charts failed to work..

I've attached the files related to TimeCharts, but nothing was different to what you provided, one thing I didn't upload was the JP and US strings (not necessary, although I did merge them).

Still seeing just a flat line graph and timeout when selecting all builds for TimeChart.

(0008200)
kcurran (reporter)
2009-11-03 22:31

The Build code has been modified since I first uploaded it. It is probably best to track the problem in http://testlink.org/mantis/view.php?id=2503 [^]

As to flatline please provide screen shot of select dialog and results
(0008201)
abrown8 (reporter)
2009-11-03 22:46
edited on: 2009-11-03 22:47

Hello, the build chart code was the one I used, and it is working just perfectly, also in that release is the function createLineChart(&$info,&$cfg), that's where I got it from. Screenshots attached, the only thing that I have that is different, I've defined another test status called "Descoped"... I also checked my parameters in a Query report to see that there is actually data, and there is run data
timemetrics and timeimage uploaded for you

(0008202)
kcurran (reporter)
2009-11-03 22:59

Was there any test cases executed between Sept 9 and Oct 3? The number of intervals is in past time from selection date
(0008203)
kcurran (reporter)
2009-11-03 23:17

Here is how I added a new status called ready_to_run

$tlCfg->results['status_code'] = array (
         "failed" => 'f',
         "blocked" => 'b',
         "passed" => 'p',
         "not_run" => 'n',
         "not_available" => 'x',
         "unknown" => 'u',
         "ready_to_run" => 'k',
         "all" => 'a'
 );
 
 $tlCfg->results['status_label'] = array(
         "not_run" => "test_status_not_run",
         "passed" => "test_status_passed",
         "failed" => "test_status_failed",
         "blocked" => "test_status_blocked",
 // "all" => "test_status_all_status",
 // "not_available" => "test_status_not_available",
         "ready_to_run" => "test_status_ready_to_run"
 // "unknown" => "test_status_unknown"
 );
//
$tlCfg->results['status_label_for_exec_ui'] = array(
         "not_run" => "test_status_not_run",
         "passed" => "test_status_passed",
         "failed" => "test_status_failed",
         "blocked" => "test_status_blocked",
         "ready_to_run" => "test_status_ready_to_run"
 );
 $tlCfg->results['charts']['status_colour']=array(
     "not_run" => "000000",
    "passed" => "00FF00",
    "failed" => "FF0000",
    "blocked" => "0000FF",
    "ready_to_run" => "C08040"
);
$tlCfg->reportsCfg->exec_status = $tlCfg->results['status_label_for_exec_ui'];
/** Revered list of Test Case execution results */
$tlCfg->results['code_status'] = array_flip($tlCfg->results['status_code']);
(0008204)
kcurran (reporter)
2009-11-03 23:20

Also, I uploaded the new version of build charts, and I don't see any problems ( including teh new charts.inc.php) so it may be something about you new status
(0008205)
abrown8 (reporter)
2009-11-03 23:31

I added the status as per all the guides (matches what you did). I will go through all code merges again, and double check the uploaded files.
Thanks a tonne!
(0008209)
abrown8 (reporter)
2009-11-05 18:02

Hello, I had no luck after re-checking and redoing it all. I'm going to leave Build chart in as that is fine, but Time charts out for now. I'll wait until it gets added to 1.9 release.

Couple of thoughts for you, would you change the date to be a range instead? I was actually confused by last interval date, and that you work backwards, and idea:

Builds {select build}
Tester {select tester(s)} - non mandatory field
Start Date field {Date Field}
End Date field {Date Field}
Frequency {Months, Weeks, Days, Hours}

Then no need for interval, or would this be a huge processing drain?
(0008410)
mhavlat (reporter)
2009-12-07 02:18

Reminder sent to: fman

Francisco,
is some reason why not have this contribution in 1.9?
(0015586)
Cyrille (reporter)
2011-08-03 09:39

Is it planned to have it in a next version of TL 1.9.x ?
(0015587)
fman (administrator)
2011-08-03 10:43

may be on 2.0, but not on 1.9.4 or any other 1.9.x
(0022307)
hirak (reporter)
2014-12-03 08:23

Hi,

I am using 1.9.12 version. I tried with the timechart20090906.zip files. Noticed that when I hit the Submit Query button, the time chart does not get displayed on the testlink GUI. Any idea what I am missing? I performed the following things:

added gui/templates/results/timeCharts.tpl
added gui/templates/results/timeChartsDraw.tpl
added lib/results/timeCharts.php
added lib/results/timeChartsDraw.php
added lib/results/executionsPerIntervalGraph.php
merged cfg/reports.cfg.php
merged locale/en_GB/strings.txt
merged locale/en_US/strings.txt
merged locale/ja_JP/strings.txt

Please do let me know where what is going wrong. I am attaching the screenshot of what I am getting after I hit the "Submit Query" button

Also apart from this I am not getting any additional error messages which can point me to some problem areas.
(0022308)
hirak (reporter)
2014-12-03 08:46

Same set of things happens for the build chart also
(0027836)
davidtester (reporter)
2018-09-12 04:36

Hi I know this is a very old posting but just wondering if anyone manage to get the charts to work on 1.9.16. I wasn't getting any error message so i enable php debug and it returned


Fatal error: Uncaught exception 'SmartyCompilerException' with message 'Syntax Error in template "E:\Inetpub\TestLink\gui\templates\results\timeCharts.tpl" on line 28 "&lt;h1 class=&quot;title&quot;&gt; {$labels.graphical_reports}&lt;/h1&gt;" - Unexpected "title", expected one of: "}" , " " , ATTR' in E:\Inetpub\TestLink\third_party\smarty3\libs\sysplugins\smarty_internal_templatecompilerbase.php:665 Stack trace: #0 E:\Inetpub\TestLink\third_party\smarty3\libs\sysplugins\smarty_internal_templateparser.php(3144): Smarty_Internal_TemplateCompilerBase->trigger_template_error() #1 E:\Inetpub\TestLink\third_party\smarty3\libs\sysplugins\smarty_internal_templateparser.php(3209): Smarty_Internal_Templateparser->yy_syntax_error(19, 'title') 0000002 E:\Inetpub\TestLink\third_party\smarty3\libs\sysplugins\smarty_internal_smartytemplatecompiler.php(105): Smarty_Internal_Templateparser->doParse(19, 'title') 0000003 E:\Inetpub\TestLink\third_party\smarty3\libs\sysplugin in E:\Inetpub\TestLink\third_party\smarty3\libs\sysplugins\smarty_internal_templatecompilerbase.php on line 665
(0027837)
fman (administrator)
2018-09-12 06:27

Please do not vampirize tickets, version is completely different
get bitnami installer, do fresh install, retest & provide feedback

- Issue History
Date Modified Username Field Change
2009-02-15 21:44 kcurran New Issue
2009-02-15 21:44 kcurran File Added: timeCharts.php
2009-02-15 21:45 kcurran File Added: timeChartsDraw.php
2009-02-15 21:45 kcurran File Added: executionsPerIntervalGraph.php
2009-02-15 21:46 kcurran File Added: timeCharts.tpl
2009-02-15 21:46 kcurran File Added: timeChartsDraw.tpl
2009-02-15 21:46 kcurran File Added: strings.txt
2009-02-15 21:47 kcurran File Added: reports.cfg.php
2009-02-15 23:11 fman Note Added: 0005476
2009-02-15 23:11 fman Status new => assigned
2009-02-15 23:11 fman Assigned To => fman
2009-02-15 23:12 fman Note Added: 0005477
2009-02-16 00:34 aksinghv Note Added: 0005479
2009-02-17 00:13 kcurran File Added: TimeChart.png
2009-02-17 00:16 kcurran Note Added: 0005516
2009-02-21 02:51 aksinghv Note Added: 0005567
2009-02-21 17:54 fman Note Added: 0005570
2009-05-13 20:26 kcurran File Added: Picture1.png
2009-05-13 20:26 kcurran File Added: timechart.ZIP
2009-05-13 20:28 kcurran Note Added: 0006857
2009-05-23 00:37 amitkhullar Relationship added related to 0002503
2009-08-31 23:06 aksinghv Note Added: 0007885
2009-09-06 09:24 guest File Added: timechart20090906.zip
2009-09-06 09:24 guest Note Added: 0007927
2009-09-07 15:37 rua_0611 Tag Attached: Testlink 1.8 beta
2009-10-31 00:49 abrown8 Note Added: 0008183
2009-10-31 00:49 abrown8 File Added: time chart.JPG
2009-10-31 00:55 kcurran Note Added: 0008184
2009-10-31 02:59 abrown8 Note Added: 0008185
2009-11-01 22:07 kcurran Note Added: 0008186
2009-11-02 17:18 abrown8 Note Added: 0008188
2009-11-02 17:37 abrown8 Note Added: 0008189
2009-11-02 21:43 kcurran Note Added: 0008190
2009-11-02 21:46 abrown8 Note Added: 0008191
2009-11-02 22:03 kcurran Note Added: 0008192
2009-11-02 23:13 abrown8 Note Added: 0008193
2009-11-03 17:50 abrown8 Note Added: 0008199
2009-11-03 17:51 abrown8 File Added: TimeCharts - Issue files.zip
2009-11-03 17:53 abrown8 Note Edited: 0008199
2009-11-03 17:56 abrown8 Note Edited: 0008199
2009-11-03 22:31 kcurran Note Added: 0008200
2009-11-03 22:46 abrown8 Note Added: 0008201
2009-11-03 22:47 abrown8 File Added: timeimage.JPG
2009-11-03 22:47 abrown8 File Added: timemetrics.JPG
2009-11-03 22:47 abrown8 Note Edited: 0008201
2009-11-03 22:59 kcurran Note Added: 0008202
2009-11-03 23:17 kcurran Note Added: 0008203
2009-11-03 23:20 kcurran Note Added: 0008204
2009-11-03 23:31 abrown8 Note Added: 0008205
2009-11-05 18:02 abrown8 Note Added: 0008209
2009-12-07 02:18 mhavlat Note Added: 0008410
2011-08-03 09:39 Cyrille Note Added: 0015586
2011-08-03 10:43 fman Note Added: 0015587
2012-11-25 10:01 fman Tag Detached: Testlink 1.8 beta
2014-12-03 08:23 hirak Note Added: 0022307
2014-12-03 08:26 hirak File Added: charts_not_displayed.png
2014-12-03 08:46 hirak Note Added: 0022308
2018-09-12 04:36 davidtester Note Added: 0027836
2018-09-12 06:27 fman Note Added: 0027837



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker